From 1b4a73a0cf87602087bc304cd145297d190a3d36 Mon Sep 17 00:00:00 2001
From: Julio Galvan <julio@epazote.net>
Date: Tue, 16 Jul 2019 15:29:35 -0700
Subject: [PATCH] New package: libco-1.0.1

---
 common/shlibs               |  1 +
 srcpkgs/libco-devel         |  1 +
 srcpkgs/libco/files/LICENSE |  5 +++++
 srcpkgs/libco/template      | 34 ++++++++++++++++++++++++++++++++++
 4 files changed, 41 insertions(+)
 create mode 120000 srcpkgs/libco-devel
 create mode 100644 srcpkgs/libco/files/LICENSE
 create mode 100644 srcpkgs/libco/template

diff --git a/common/shlibs b/common/shlibs
index 2f146bbfa9d..e7771007e21 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -3493,3 +3493,4 @@ libkres.so.9 knot-resolver-4.0.0_1
 libnsl.so.2 libnsl-1.2.0_1
 libbcc.so.0 bcc-0.10.0_1
 libbcc_bpf.so.0 bcc-0.10.0_1
+libco.so libco-1.0.1_1
diff --git a/srcpkgs/libco-devel b/srcpkgs/libco-devel
new file mode 120000
index 00000000000..9cbee396adf
--- /dev/null
+++ b/srcpkgs/libco-devel
@@ -0,0 +1 @@
+libco
\ No newline at end of file
diff --git a/srcpkgs/libco/files/LICENSE b/srcpkgs/libco/files/LICENSE
new file mode 100644
index 00000000000..b3c66a9bc3a
--- /dev/null
+++ b/srcpkgs/libco/files/LICENSE
@@ -0,0 +1,5 @@
+Copyright 2019 Free Ekanayaka 
+
+Permission to use, copy, modify, and/or distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies.
+
+THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
diff --git a/srcpkgs/libco/template b/srcpkgs/libco/template
new file mode 100644
index 00000000000..2a69eea339d
--- /dev/null
+++ b/srcpkgs/libco/template
@@ -0,0 +1,34 @@
+# Template file for 'libco'
+pkgname=libco
+version=1.0.1
+revision=1
+short_desc="Cooperative multithreading library written in C89"
+maintainer="Julio Galvan <julio@epazote.net>"
+license="ISC"
+homepage="https://github.com/freeekanayaka/libco"
+distfiles="https://github.com/freeekanayaka/libco/archive/v${version}.tar.gz"
+checksum=b5a49b0352e52edffc0046b592e4414945a2b637f7433f8c526b8cdaab9d24bd
+
+do_build() {
+	make
+}
+
+do_install() {
+	vinstall libco.so 0664 /usr/lib/ libco.so.${version}
+	ln -s libco.so.${version} ${DESTDIR}/usr/lib/libco.so.1
+	ln -s libco.so.${version} ${DESTDIR}/usr/lib/libco.so
+	vinstall libco.pc 0664 /usr/lib/pkgconfig
+	vinstall libco.a 0664 /usr/lib/
+	vinstall libco.h 0664 /usr/include/
+	vlicense ${FILESDIR}/LICENSE
+}
+
+libco-devel_package() {
+	depends="libco>=${version}_${revision}"
+	short_desc+=" - development files"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/pkgconfig
+		vmove "usr/lib/*.a"
+	}
+}
